FEM Analysis: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
mNo edit summary
 
(14 intermediate revisions by 5 users not shown)
Line 2: Line 2:
<translate>
<translate>
<!--T:51-->
<!--T:51-->
{{Docnav
{{Docnav||[[FEM_MaterialSolid|Material for solid]]|[[FEM_Module|FEM]]|IconC=Workbench_FEM.svg|IconR=FEM_MaterialSolid.png}}
|
|[[FEM_MaterialSolid|Material for solid]]
|[[FEM_Workbench|FEM]]
|IconL=
|IconR=FEM_MaterialSolid.svg
|IconC=Workbench_FEM.svg
}}


<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand|Name=FEM Analysis|MenuLocation=Model → Analysis container‏‎||Workbenches=[[FEM Module|FEM]]|Shortcut=N,A|SeeAlso=[[FEM_tutorial|FEM tutorial]]}}
|Name=FEM Analysis
|MenuLocation=Model → Analysis container‏‎
|Workbenches=[[FEM_Workbench|FEM]]
|Shortcut={{KEY|S}} {{KEY|A}}
|SeeAlso=[[FEM_tutorial|FEM tutorial]]
}}


==Description== <!--T:5-->
==Description== <!--T:5-->


<!--T:46-->
<!--T:46-->
The FEM Analysis could be seen as a Container that holds all objects of a Finite Element Analysis. It is mandatory to have a analysis container which holds all the needed objects. At least one of the following objects is needed for a mechanical analysis:
The FEM Analysis could be seen as a Container that holds all objects of a Finite Element Analysis. It is mandatory to have an analysis container which holds all the needed objects. At least one of the following objects is necessary for a mechanical analysis:
* [[FEM_MaterialSolid| material]]
* [[FEM_MaterialSolid|solid material]]
* [[FEM_ConstraintFixed| fixed constraint]]
* [[FEM_ConstraintFixed|fixed boundary condition]] or [[FEM_ConstraintDisplacement|displacement boundary condition]]
* [[FEM_ConstraintForce| force constraint]] or [[FEM_ConstraintPressure| pressure constraint]]


==Usage== <!--T:10-->

==How to use== <!--T:10-->


<!--T:47-->
<!--T:47-->
# There are several ways to invoke the command:
# Press the {{KEY|[[Image:FEM_Analysis.png|24px]] [[FEM_Analysis|Analysis container]]}} button, or press {{KEY|N}} then {{KEY|A}} keys. A new Analysis is created and set to active.
#* Press the {{Button|[[Image:FEM_Analysis.svg|16px]] [[FEM_Analysis|Analysis container]]}} button.
#* Select the {{MenuCommand|Model → [[Image:FEM_Analysis.svg|16px]] Analysis container‏‎}} option from the menu.
#* Use the keyboard shortcut: {{KEY|S}} then {{KEY|A}}.
# A new Analysis is created and set to active.
# Other objects could be added or removed to the analysis container by drag and drop.
# Other objects could be added or removed to the analysis container by drag and drop.
# To add new FEM Objects to the document the analysis has to be active. Double click on the analysis does activate the analysis.
# To add new FEM Objects to the document the analysis has to be active. Double click on the analysis does activate the analysis.



==Options== <!--T:15-->
==Options== <!--T:15-->


<!--T:48-->
<!--T:48-->
* Up to date there is no option to choose.
* Up to date there is no option to choose.
* A frequency analysis in in development. See [http://forum.freecadweb.org/viewtopic.php?f=18&t=12189] for more informations.



==Properties== <!--T:20-->
==Properties== <!--T:20-->
Line 35: Line 47:
<!--T:49-->
<!--T:49-->
* {{PropertyData|OutpuDir}}: Specifies the working directory of the analysis
* {{PropertyData|OutpuDir}}: Specifies the working directory of the analysis



==Scripting== <!--T:25-->
==Scripting== <!--T:25-->


<!--T:50-->
<!--T:50-->
most code here is depreciated in 0.17.
most code here is deprecated in 0.17.
* new analysis
* new analysis
</translate>
</translate>
Line 82: Line 93:
App.ActiveDocument.MechanicalAnalysis.Member = member
App.ActiveDocument.MechanicalAnalysis.Member = member
}}
}}

{{clear}}
<translate>
<translate>
<!--T:52-->
{{Docnav||[[FEM_MaterialSolid|Material for solid]]|[[FEM_Module|FEM]]|IconC=Workbench_FEM.svg|IconR=FEM_MaterialSolid.png}}


<!--T:53-->
{{FEM Tools navi}}


<!--T:54-->
<!--T:52-->
{{Docnav
{{Userdocnavi}}
|
|[[FEM_MaterialSolid|Material for solid]]
|[[FEM_Workbench|FEM]]
|IconL=
|IconR=FEM_MaterialSolid.svg
|IconC=Workbench_FEM.svg
}}

</translate>
</translate>
{{FEM Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 19:40, 10 November 2023

FEM Analysis

Menu location
Model → Analysis container‏‎
Workbenches
FEM
Default shortcut
S A
Introduced in version
-
See also
FEM tutorial

Description

The FEM Analysis could be seen as a Container that holds all objects of a Finite Element Analysis. It is mandatory to have an analysis container which holds all the needed objects. At least one of the following objects is necessary for a mechanical analysis:

Usage

  1. There are several ways to invoke the command:
    • Press the Analysis container button.
    • Select the Model → Analysis container‏‎ option from the menu.
    • Use the keyboard shortcut: S then A.
  2. A new Analysis is created and set to active.
  3. Other objects could be added or removed to the analysis container by drag and drop.
  4. To add new FEM Objects to the document the analysis has to be active. Double click on the analysis does activate the analysis.

Options

  • Up to date there is no option to choose.

Properties

  • DataOutpuDir: Specifies the working directory of the analysis

Scripting

most code here is deprecated in 0.17.

  • new analysis
MechanicalAnalysis.makeMechanicalAnalysis( name )
  • add object to the analysis
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [ (object) ]
  • remove object from the analysis
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove( documentobject )
 App.ActiveDocument.MechanicalAnalysis.Member = member

Examples:

import MechanicalAnalysis
analysis = MechanicalAnalysis.makeMechanicalAnalysis("MechanicalAnalysis")
FemGui.setActiveAnalysis(analysis)

addobj = App.ActiveDocument.getObject("MechanicalMaterial")
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [addobj]

removeobj = App.ActiveDocument.getObject("MechanicalMaterial")
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove(removeobj)
App.ActiveDocument.MechanicalAnalysis.Member = member